Changing a contact person¶
Note
The attributes name and email can only be changed if the contact person is not a user of the Myra App.
Note
The body must include the attributes id and modified to identify the corresponding entry.
Note
The ID of the entry in the path of the request must match the value of the attribute id in the body.
Sends a PUT request to the endpoint /organization/contacts/{id}.
Description¶
The Change-Contact request allows the user to change the information of a contact person of the organisation.
Requirements¶
Values of the request: Contact-ID {id}d}
Objects: OrganizationContactVO
Request¶
To change the information of a contact person, the Contact-ID {id} needs to be added to the path of the request.
For a detailed specification of which information is required to change the information of a contact person, the object OrganizationContactVO with the following attributes needs to be defined in the body:
| Attributes | Description | Values |
|---|---|---|
id |
The ID of the entry. | integer |
modified |
The last modification date in ISO 8601 format. | string($date-time) |
The following attributes are optional:
| Attributes | Description | Values |
|---|---|---|
name |
The name of the contact person. | string |
email |
The email address of the contact person. | string |
phone |
The phone number of the contact person. | integer |
receiveSSLReminders |
Defines whether the contact person gets notifications about expiring certificates. |
|
technicalPriority |
Defines the priority of the contact person for technical issues. | integer |
escalationPriority |
Defines the priority of the contact person for escalations. | integer |
The system only returns a 200 HTTP code in response to the successful request.
Example¶
Example request body:
{
"objectType": "string",
"userId": 0,
"name": "string",
"email": "string",
"phone": "string",
"receiveSSLReminders": true,
"technicalPriority": "string",
"escalationPriority": "string"
}
Responses¶
The following responses are available:
| STATUS CODE | DESCRIPTION |
|---|---|
| 200 | The request has succeeded. |
| 400 | The request was unsuccessful. The request was invalid or information is missing. |
| 401 | The request has not succeeded because the user authentication was incorrect. |
| 403 | The request has not succeeded because the user does not have the right permissions. |